dpkg-statoverride(8)

NOMBRE
dpkg-statoverride - Sustitución del propietario y modo de ficheros

SINOPSIS
dpkg-statoverride [opción...] orden

DESCRIPCIÓN
La sustitución de propiedades es un modo de indicar a dpkg(1) que use un propietario o modo diferente para un fichero cuando un paquete está instalado (Nota: aquí usamos la palabra «fichero», pero puede tratarse de cualquier objeto del sistema de ficheros que dpkg pueda manejar, incluyendo directorios, dispositivos, etc). Se puede usar para forzar que programas que normalmente se instalan con bit setuid se instalen sin esta marca, o que sólo sean ejecutables por un grupo en concreto.

dpkg-statoverride es una herramienta para administrar la lista de sustituciones. Tiene tres funciones básicas: añadir, eliminar y listar las excepciones.

ÓRDENES

--add usuario grupo modo fichero
    Añade una sustitución para el fichero. No es necesario que el fichero exista cuando se use esta orden, la sustitución se guardará para usarse posteriormente. Los usuarios y los grupos se pueden definir por su nombre (por ejemplo root o nobody), o por su número precedido por un # (por ejemplo #0 o #65534). El modo se debe definir en base al sistema octal. Si se proporciona la opción «--update» y el fichero existe, se le asigna inmediatamente el nuevo propietario y modo.

--remove fichero
    Elimina una sustitución para el fichero, esta orden no modifica el estado del fichero.

--list [comodín]
    Lista todas las sustituciones. Si se define un comodín, restringirá la salida a lo que concuerde con el patrón. Si no hay ninguna sustitución o ninguna concuerda con el patrón, dpkg-statoverride finalizará con un código de salida de 1.

--help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

OPCIONES

--admindir directorio
    Cambia el directorio con la base de datos de dpkg, donde también se guarda la información relativa al fichero «statoverride». Por omisión es «/var/lib/dpkg».

--force
    Fuerza una acción, incluso si ésta pudiese resultar perjudicial. Es necesario para poder modificar una sustitución existente.

--update
    Trata inmediatamente de cambiar el fichero al nuevo propietario y modo, de existir.

--quiet
    Reduce el nivel de información de las acciones tomadas.

ENTORNO

DPKG_ADMINDIR
    Si se define, y no se define la opción --admindir, se utiliza como el directorio de datos de dpkg.

FICHEROS

/var/lib/dpkg/statoverride
    El fichero que contiene la lista actual de sustituciones de propiedades del sistema. Se encuentra en el directorio de administración de dpkg, junto con otros ficheros importantes para dpkg como «status» o «available».
    Nota: dpkg-statoverride preserva una copia antigua del fichero con la extensión «-old» antes de reemplazarla con una nueva.

VÉASE TAMBIÉN
dpkg(1).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.